import 'package:flutter/material.dart';
import 'package:syncrow_app/features/devices/view/widgets/devices_mode_tab.dart';
import 'package:syncrow_app/features/shared_widgets/text_widgets/title_medium.dart';
import 'package:syncrow_app/utils/context_extension.dart';
import 'package:syncrow_app/utils/resource_manager/strings_manager.dart';

class DevicesViewHeader extends StatelessWidget {
  const DevicesViewHeader({
    super.key,
  });

  @override
  Widget build(BuildContext context) {
    return Column(
      crossAxisAlignment: CrossAxisAlignment.start,
      children: [
        TitleMedium(
          text: StringsManager.devices,
          style: context.titleMedium.copyWith(
            fontSize: 25,
          ),
        ),
        const DevicesModeTab(),
        const SizedBox(
          height: 20,
        ),
      ],
    );
  }
}
